Errors " Migration of application policy failed." and "JPS-06100: Policy Store version null and Oracle Platform Security Services Version 11.1.1.7.0 are not compatible." Occur Within Enterprise Capture (Doc ID 1610125.1)

Last updated on MAY 02, 2017

Applies to:

Oracle WebCenter Enterprise Capture - Version 11.1.1.8.0 and later
Information in this document applies to any platform.

Symptoms

The WebCenter Enterprise Capture Managed Server will not start after reassociating the security store with OPSS schema in the database. The startup error is:

[2013-12-23T12:36:31.454-06:00] [capture_server2] [WARNING] [JPS-04084] [oracle.jps.deployment] [tid: [ACTIVE].ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'] [userId: <anonymous>] [ecid: 0000KCWjau6CcpdpTc5Eic1Ii8AS000003,0] [APP: capture] Migration of application policy failed. Reason: {0}.[[
oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version null and Oracle Platform Security Services Version 11.1.1.7.0 are not compatible.
at oracle.security.jps.internal.policystore.ldap.LdapPolicyStore.getAdminManager(LdapPolicyStore.java:1388)
at oracle.security.jps.internal.tools.utility.util.JpsHelper.isEmptyPolicyStore(JpsHelper.java:367)
at oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy$1.run(JpsDstPolicy.java:442)
at oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy$1.run(JpsDstPolicy.java:440)
at java.security.AccessController.doPrivileged(Native Method)
at oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy.<init>(JpsDstPolicy.java:440)
at oracle.security.jps.internal.tools.utility.destination.JpsInitializerDst.getDestinations(JpsInitializerDst.java:87)
at oracle.security.jps.internal.tools.utility.JpsUtility.<init>(JpsUtility.java:63)
at oracle.security.jps.internal.tools.utility.JpsUtilDeploymentImpl.migrateAppPolicyToFarmLevelPolicyStore(JpsUtilDeploymentImpl.java:104)
at oracle.security.jps.internal.tools.utility.JpsUtilDeploymentImpl.migrateAppPolicyToFarmLevelPolicyStore(JpsUtilDeploymentImpl.java:128)
at oracle.security.jps.internal.config.deploy.DeployUtil.migrateAppPolicy(DeployUtil.java:143)
at oracle.security.jps.internal.config.deploy.AppPolicyHandler$1.run(AppPolicyHandler.java:99)
at java.security.AccessController.doPrivileged(Native Method)
at oracle.security.jps.internal.config.deploy.AppPolicyHandler.migrateAppPolicies(AppPolicyHandler.java:96)
at oracle.security.jps.wls.listeners.WlsAppPolicyHandler.migrateDeploymentPolicies(WlsAppPolicyHandler.java:54)
at oracle.security.jps.internal.config.deploy.PolicyDeployment.handle(PolicyDeployment.java:142)
at oracle.security.jps.internal.config.deploy.AppPolicyHandler.handle(AppPolicyHandler.java:72)
at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.callHandler(JpsApplicationLifecycleListener.java:125)
at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.handle(JpsApplicationLifecycleListener.java:106)
at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.preStart(JpsApplicationLifecycleListener.java:93)
at weblogic.application.internal.flow.BaseLifecycleFlow$PreStartAction.run(BaseLifecycleFlow.java:282)
at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms